# Birthday campaigns

# Get birthday campaigns

# Description

You can use this API to check the birthday campaigns list.

# Endpoint

    POST https://019sms.co.il/api
  

# Parameters

Name Type Description Required
get_birthday_campaigns object Contains all other elements. ✔️
user object Contains the user element. ✔️
username string The username of the account by which you are recognized in the system ✔️

# Request Example

json
Copy code
    {
  "get_birthday_campaigns": {
    "user": {
      "username": "XXXXXX"
    }
  }
}

  
xml
Copy code
    <?xml version="1.0" encoding="UTF-8"?>
<get_birthday_campaigns>
    <user>
        <username>XXXXXX</username>
    </user>
</get_birthday_campaigns>

  

# Response Example

json
Copy code
    {
  "status": 0,
  "message": "",
  "birthday_campaigns": {
    "birthday_campaign": [
      {
        "CAMPAIGN_ID": "xxxxx",
        "CAMPAIGN_NAME": "xxxxx",
        "CREATED_ON": "",
        "ACTIVE_DESTINATIONS": ""
      },
      {
        "CAMPAIGN_ID": "xxxxx",
        "CAMPAIGN_NAME": "xxxxx",
        "CREATED_ON": "",
        "ACTIVE_DESTINATIONS": ""
      }
    ]
  }
}

  
xml
Copy code
    <?xml version="1.0" encoding="utf-8"?>
<sms>
    <status>0</status>
    <message></message>
    <birthday_campaigns>
        <birthday_campaign>
            <CAMPAIGN_ID>XXXX</CAMPAIGN_ID>
            <CAMPAIGN_NAME>XXXX</CAMPAIGN_NAME>
            <CREATED_ON>18/10/23 14:40:39</CREATED_ON>
            <ACTIVE_DESTINATIONS>X</ACTIVE_DESTINATIONS>
        </birthday_campaign>
        <birthday_campaign>
            <CAMPAIGN_ID>XXXX</CAMPAIGN_ID>
            <CAMPAIGN_NAME>XXXX</CAMPAIGN_NAME>
            <CREATED_ON>18/10/23 14:40:39</CREATED_ON>
            <ACTIVE_DESTINATIONS>X</ACTIVE_DESTINATIONS>
        </birthday_campaign>
    </birthday_campaigns>
</sms>
  

Note

Full description of the response status and message can be found in here:

# Edit birthday campaign

# Description

You can use this API to edit the message from a birthday campaign.

# Endpoint

    POST https://019sms.co.il/api
  

# Parameters

Name Type Description Required
edit_birthday_campaign object Contains all other elements. ✔️
user object Contains the user element. ✔️
username string The username of the account by which you are recognized in the system ✔️
campaign_id object campaign_id that you want to edit ✔️
message object The content of the new message. ✔️

# Request Example

json
Copy code
    {
  "edit_birthday_campaign": {
    "user": {
      "username": "XXXX"
    },
    "campaign_id": "XXXX",
    "message": "XXXX"
  }
}

  
xml
Copy code
    <?xml version='1.0' encoding='UTF-8'?>
<edit_birthday_campaign>
    <user>
        <username>XXXX</username>
    </user>
    <campaign_id>XXXX</campaign_id>
    <message>XXXX</message>
</edit_birthday_campaign>
  

# Response Example

json
Copy code
    {
  "status": 0,
  "message": "birthday campaign successfully updated"
}

  
xml
Copy code
    <?xml version="1.0" encoding="utf-8"?>
<sms>
    <status>0</status>
    <message>birthday campaign successfully updated</message>
</sms>
  

Note

Full description of the response status and message can be found in here:

Last Updated: 10/19/2023, 12:41:20 PM